Remove path from popd, no argument should be passed

Change-Id: I325b8aaa51c3aa28859705012af437ce65ea49ba
diff --git a/jjb/shell/github-release.sh b/jjb/shell/github-release.sh
index ee95292..22cff84 100755
--- a/jjb/shell/github-release.sh
+++ b/jjb/shell/github-release.sh
@@ -276,10 +276,10 @@
         get_version __ver
 
     elif [[ -v WORKSPACE ]] && [[ -v GITHUB_TOKEN ]]; then # i_am_jenkins
-	declare -p GERRIT_PROJECT
-	pushd "$GERRIT_PROJECT" || error "pushd GERRIT_PROJECT= failed"
+	local path="$GERRIT_PROJECT"
+	pushd "$path" || error "pushd GERRIT_PROJECT= failed $(declare -p path)"
         __ver="$(git tag -l --points-at HEAD)"
-	popd "$GERRIT_PROJECT" || error "popd GERRIT_PROJECT= failed"
+	popd || error "popd GERRIT_PROJECT= failed"
 
     elif [[ -v argv_version_file ]]; then # local debug
         [[ ! -f VERSION ]] && error "./VERSION file not found"
@@ -287,10 +287,10 @@
         __ver="v${tmp[0]}"
 
     else
-	declare -p GERRIT_PROJECT
-	pushd "$GERRIT_PROJECT" || error "pushd GERRIT_PROJECT= failed"
+	local path="$GERRIT_PROJECT"
+	pushd "$path" || error "pushd GERRIT_PROJECT= failed $(declare -p path)"
         __ver="$(git tag -l --points-at HEAD)"
-	popd "$GERRIT_PROJECT" || error "popd GERRIT_PROJECT= failed"
+	popd || error "popd GERRIT_PROJECT= failed"
     fi
 
     # ------------------------------------------------------